DCPARSE(1)

NAME
dcparse - read distributed class files

SYNOPSIS
p3dcparse [ options ] [ file1 file2 ... ]
p3dcparse -h

DESCRIPTION
This program reads one or more DC files, which are used to describe the communication channels in the distributed class system. By default, the file(s) are read and concatenated, and a single hash code is printed corresponding to the file's contents.

OPTIONS

-v  Writes a complete parseable version of the file to standard output instead of printing a hash code.

-b  Writes a brief parseable version of the file instead of a full version. This is semantically the same as the output produced the above -v option--reading it would produce exactly the same results--but it is designed to be slightly obfuscated. The comments and parameter names are not included.

-c  Write a list of class names, showing the inheritance hierarchy. Some class names will be listed twice in the presence of multiple inheritance.

-f  Write a complete list of field names available for each class, including all inherited fields.